The Spring Framework

## org.springframework.orm.jdo
Class JdoResourceFailureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.NonTransientDataAccessResourceException
                                  org.springframework.dao.DataAccessResourceFailureException
                                      org.springframework.orm.jdo.JdoResourceFailureException

All Implemented Interfaces:
  Serializable

    public class JdoResourceFailureException

extends DataAccessResourceFailureException

JDO-specific subclass of DataAccessResourceFailureException. Converts JDO's JDODataStoreException and JDOFatalDataStoreException.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `PersistenceManagerFactoryUtils.convertJdoAccessException(javax.jdo.JDOException)`, Serialized Form

Constructor Summary
`JdoResourceFailureException(javax.jdo.JDODataStoreException ex)`
`JdoResourceFailureException(javax.jdo.JDOFatalDataStoreException ex)`

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JdoResourceFailureException

    public JdoResourceFailureException(javax.jdo.JDODataStoreException ex)

### JdoResourceFailureException

    public JdoResourceFailureException(javax.jdo.JDOFatalDataStoreException ex)

The Spring Framework

Copyright © 2002-2008 The Spring Framework.